<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Edit Payment Extra</strong></h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="editForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updatePaymentDetails()">
          <div class="form-group">
            <label class="col-sm-2 control-label">Name<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text"  maxlength = "20" placeholder = "Name" formControlName="payment_extra" class="form-control" required>
              <div class="error-msg" *ngIf="editForm.controls['payment_extra'].invalid && (editForm.controls['payment_extra'].dirty || editForm.controls['payment_extra'].touched)">
                <div *ngIf="editForm.controls['payment_extra'].errors.required" >
                  Name is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Default Amount<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "6" placeholder = "Default Amount" pattern = "\-*\d.+" formControlName="default_amount" class="form-control" required>
              <div class="error-msg" *ngIf="editForm.controls['default_amount'].invalid && (editForm.controls['default_amount'].dirty || editForm.controls['default_amount'].touched)">
                <div *ngIf="editForm.controls['default_amount'].errors.required" >
                  Default amount is required.
                </div>
                <div *ngIf="editForm.controls['default_amount'].errors.pattern" >
                  Only numbers are allowed.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Vat</label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "5" placeholder = "Vat" pattern="^\d*(\.\d+)?$" formControlName="vat" class="form-control">
              <div class="error-msg" *ngIf="editForm.controls['vat'].invalid && (editForm.controls['vat'].dirty || editForm.controls['vat'].touched)">
                <div *ngIf="editForm.controls['vat'].errors.pattern" >
                    Only decimal numbers up to 2 digits are allowed.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Additional Service</label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control"  placeholder = "Additional Service" formControlName="additional_service_id">
                <mat-option value="">Select</mat-option>
                <mat-option [value]="additional_service._id" *ngFor="let additional_service of serviceData">
                  {{additional_service.name}}
                </mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Payment extra type<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select formControlName="payment_extra_type"  placeholder = "Payment extra type" class="form-control" required>
                <mat-option [value]="payment_extra_type" *ngFor="let payment_extra_type of payment_extra_types">
                  {{payment_extra_type}}
                  </mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="editForm.controls['payment_extra_type'].invalid && (editForm.controls['payment_extra_type'].dirty || editForm.controls['payment_extra_type'].touched)">
                <div *ngIf="editForm.controls['payment_extra_type'].errors.required" >
                  Payment extra type is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Is amount percentage<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Is amount percentage" formControlName="is_amount_percantage" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="editForm.controls['is_amount_percantage'].invalid && (editForm.controls['is_amount_percantage'].dirty || editForm.controls['is_amount_percantage'].touched)">
                <div *ngIf="editForm.controls['is_amount_percantage'].errors.required" >
                  Is amount percentage is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Editable<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Editable" formControlName="editable" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="editForm.controls['editable'].invalid && (editForm.controls['editable'].dirty || editForm.controls['editable'].touched)">
                <div *ngIf="editForm.controls['editable'].errors.required" >
                  Editable is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Locked<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Locked" formControlName="locked" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="editForm.controls['locked'].invalid && (editForm.controls['locked'].dirty || editForm.controls['locked'].touched)">
                <div *ngIf="editForm.controls['locked'].errors.required" >
                  Locked is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Price with vat<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Price with vat" formControlName="price_with_vat" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="editForm.controls['price_with_vat'].invalid && (editForm.controls['price_with_vat'].dirty || editForm.controls['price_with_vat'].touched)">
                <div *ngIf="editForm.controls['price_with_vat'].errors.required" >
                  Price with vat is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Multi applicable<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Multi applicable" formControlName="multi_applicable" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="editForm.controls['multi_applicable'].invalid && (editForm.controls['multi_applicable'].dirty || editForm.controls['multi_applicable'].touched)">
                <div *ngIf="editForm.controls['multi_applicable'].errors.required" >
                  Multi applicable is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Visible on app<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Visible on app" formControlName="visible_on_app" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="editForm.controls['visible_on_app'].invalid && (editForm.controls['visible_on_app'].dirty || editForm.controls['visible_on_app'].touched)">
                <div *ngIf="editForm.controls['visible_on_app'].errors.required" >
                  Visible on app is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
                <button class="btn btn-primary" type="submit">Save changes</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/payment-extra']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>